commit:     ed6ea70a6bdfd3ca40d524d21d8bf1355afdba43
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  3 05:06:49 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 05:08:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed6ea70a

dev-ruby/tty-prompt: add 0.22.0

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/tty-prompt/Manifest                 |  1 +
 dev-ruby/tty-prompt/tty-prompt-0.22.0.ebuild | 32 ++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/tty-prompt/Manifest b/dev-ruby/tty-prompt/Manifest
index b859aaf0123..36aa20eeb36 100644
--- a/dev-ruby/tty-prompt/Manifest
+++ b/dev-ruby/tty-prompt/Manifest
@@ -1,3 +1,4 @@
 DIST tty-prompt-0.19.0.gem 71680 BLAKE2B 
67da3c428fa5ab602fa4735d06115ba5bab53f06d43109fa06810e538cafae5486767f41927fc77616e608278a0f955659734704c9536b40e87682e6f0e5718b
 SHA512 
958263a7b3b7cfbac2877d81878b324fe53bc258be36749597f959085643e50247651bf48fceff4bf1098b68cf47dae68f30173e45585bfdbf7126959387427a
 DIST tty-prompt-0.20.0.gem 72704 BLAKE2B 
c3a24544459bfd70aa1ada029211d8873665794ac0dfa19bd02c86e3104c937aefc50009763ccacc3b3eb7c91b220125279c4388a94cd4dab5bc2cb77bad701e
 SHA512 
d3e018465779d673bb80d15f2706edd762236dbee37bc9bd090138fb5dd918c63c4cda3418054391b9d15032fde399911e50c6fbed9d8063afc5896b31fb3fb1
 DIST tty-prompt-0.21.0.tar.gz 72679 BLAKE2B 
1693a2ad49d308975c0f03d9bbf01a192bc6e5c66eb04108a08a7d338c79d20ac80e8b45b0833f57b6a4f5191880160a8df0a9b9751c3af1f3d77b4952c99393
 SHA512 
e2963951523f9077a6aac20d12b88d261902c1f6ab1ab01bafd9eef94df76e37fd1448d5b5f81a3a8d2335eade4618896a64c77e80e369b3a660bc8d361cb53d
+DIST tty-prompt-0.22.0.tar.gz 551572 BLAKE2B 
b18e3acba984c6848161deff659112ee2342d4021c0fa8df1aed1f19d4530382b4c2d4e215b42820be9939a8a563333c163217ac59809b3e9b1e4d68068647eb
 SHA512 
2bc87d41c9359da1bb04a53c2f3535e4845e1a55594624235434b4e6d5f870029ae72436487fa6d2a795101d1fc8263d63dd89cc5d3e59b0756b80448c23e514

diff --git a/dev-ruby/tty-prompt/tty-prompt-0.22.0.ebuild 
b/dev-ruby/tty-prompt/tty-prompt-0.22.0.ebuild
new file mode 100644
index 00000000000..86c2dc4efca
--- /dev/null
+++ b/dev-ruby/tty-prompt/tty-prompt-0.22.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="tty-prompt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A beautiful and powerful interactive command line prompt"
+HOMEPAGE="https://github.com/piotrmurach/tty-prompt";
+SRC_URI="https://github.com/piotrmurach/tty-prompt/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+       >=dev-ruby/pastel-0.8:0
+       >=dev-ruby/tty-reader-0.8:0
+"
+
+all_ruby_prepare() {
+       echo '-rspec_helper' > .rspec || die
+       sed -i -e 's:require_relative ":require "./:' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}

Reply via email to